diff --git a/src/main/java/net/minecraft/client/render/item/model/DyeItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelDye.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/item/model/DyeItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelDye.java
index fde28dfa1..575a2c636 100644
--- a/src/main/java/net/minecraft/client/render/item/model/DyeItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelDye.java
@@ -9,14 +9,14 @@ import net.minecraft.core.util.helper.DyeColor;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class DyeItemModel extends StandardItemModel {
+public class ItemModelDye extends ItemModelStandard {
     public static IconCoordinate[] dyeIcons = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     static {
         for (DyeColor c : DyeColor.itemOrderedColors()){
             dyeIcons[c.itemMeta] = TextureRegistry.getTexture("minecraft:item/dye_" + c.colorID);
         }
     }
-    public DyeItemModel(Item item) {
+    public ItemModelDye(Item item) {
         super(item, null);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/item/model/FishingRodItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelFishingRod.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/item/model/FishingRodItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelFishingRod.java
index 28da971ef..40441a96e 100644
--- a/src/main/java/net/minecraft/client/render/item/model/FishingRodItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelFishingRod.java
@@ -9,9 +9,9 @@ import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class FishingRodItemModel extends StandardItemModel {
+public class ItemModelFishingRod extends ItemModelStandard {
     protected IconCoordinate rodCast = TextureRegistry.getTexture("minecraft:item/tool_fishingrod_cast");
-    public FishingRodItemModel(Item item, String namespace) {
+    public ItemModelFishingRod(Item item, String namespace) {
         super(item, namespace);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/item/model/LabelItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelLabel.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/item/model/LabelItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelLabel.java
index 4a68592b6..28b2fdb10 100644
--- a/src/main/java/net/minecraft/client/render/item/model/LabelItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelLabel.java
@@ -8,9 +8,9 @@ import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class LabelItemModel extends StandardItemModel {
+public class ItemModelLabel extends ItemModelStandard {
     protected IconCoordinate writtenLabel = TextureRegistry.getTexture("minecraft:item/label_written");
-    public LabelItemModel(Item item, String namespace) {
+    public ItemModelLabel(Item item, String namespace) {
         super(item, namespace);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/item/model/MapItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/item/model/MapItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
index 85de3d540..726e3ac41 100644
--- a/src/main/java/net/minecraft/client/render/item/model/MapItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
@@ -7,16 +7,16 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.MapItemRenderer;
 import net.minecraft.client.render.PlayerSkinParser;
 import net.minecraft.client.render.entity.EntityRenderer;
-import net.minecraft.client.render.entity.PlayerRenderer;
+import net.minecraft.client.render.entity.MobRendererPlayer;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
+import net.minecraft.core.item.ItemMap;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.item.MapItem;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.saveddata.maps.ItemMapSavedData;
 import org.jetbrains.annotations.NotNull;
@@ -24,11 +24,11 @@ import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
-public class MapItemModel extends StandardItemModel {
+public class ItemModelMap extends ItemModelStandard {
     private final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
     private final MapItemRenderer renderMapInstance = new MapItemRenderer(mc.font, mc.gameSettings, mc.textureManager);
 
-    public MapItemModel(Item item, String namespace) {
+    public ItemModelMap(Item item, String namespace) {
         super(item, namespace);
     }
 
@@ -65,7 +65,7 @@ public class MapItemModel extends StandardItemModel {
 
         // Render both player arms
         mc.textureManager.bindDownloadableTexture(mc.thePlayer.skinURL, mc.thePlayer.getEntityTexture(), PlayerSkinParser.instance);
-        PlayerRenderer playerRenderer = (PlayerRenderer) (EntityRenderer<? extends Entity>) EntityRenderDispatcher.instance.getRenderer(mc.thePlayer);
+        MobRendererPlayer playerRenderer = (MobRendererPlayer) (EntityRenderer<? extends Entity>) EntityRenderDispatcher.instance.getRenderer(mc.thePlayer);
 
         GL11.glPushMatrix();
         GL11.glTranslatef(-0F, -0.6F, -1.1F);
@@ -117,7 +117,7 @@ public class MapItemModel extends StandardItemModel {
     }
     @Override
     public @NotNull IconCoordinate getIcon(@Nullable Entity entity, ItemStack itemStack){
-        if (!MapItem.hasInitialized(itemStack)){
+        if (!ItemMap.hasInitialized(itemStack)){
             return TextureRegistry.getTexture("minecraft:item/map_blank");
         }
         return super.getIcon(entity, itemStack);
diff --git a/src/main/java/net/minecraft/client/render/item/model/PaintbrushItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelPaintbrush.java
similarity index 80%
rename from src/main/java/net/minecraft/client/render/item/model/PaintbrushItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelPaintbrush.java
index e0b5cb18e..beeafa9ff 100644
--- a/src/main/java/net/minecraft/client/render/item/model/PaintbrushItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelPaintbrush.java
@@ -1,34 +1,34 @@
-package net.minecraft.client.render.item.model;
-
-import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.entity.Entity;
-import net.minecraft.core.item.Item;
-import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.PaintBrushItem;
-import net.minecraft.core.util.helper.DyeColor;
-import org.jetbrains.annotations.NotNull;
-import org.jetbrains.annotations.Nullable;
-
-public class PaintbrushItemModel extends StandardItemModel {
-    public static IconCoordinate emptyIcon = TextureRegistry.getTexture("minecraft:item/paintbrush");
-    public static IconCoordinate[] paintbrushIcons = new IconCoordinate[DyeColor.COLOR_AMOUNT];
-    static {
-        for (DyeColor c : DyeColor.itemOrderedColors()){
-            paintbrushIcons[c.itemMeta] = TextureRegistry.getTexture("minecraft:item/paintbrush_" + c.colorID);
-        }
-    }
-
-    public PaintbrushItemModel(Item item, String namespace) {
-        super(item, namespace);
-    }
-
-    @Override
-    public @NotNull IconCoordinate getIcon(@Nullable Entity entity, ItemStack itemStack) {
-        final DyeColor color = ((PaintBrushItem) itemStack.getItem()).getColor(itemStack);
-        if (color == null) {
-            return emptyIcon;
-        }
-        return paintbrushIcons[color.itemMeta];
-    }
-}
+package net.minecraft.client.render.item.model;
+
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.item.Item;
+import net.minecraft.core.item.ItemStack;
+import net.minecraft.core.item.ItemPaintBrush;
+import net.minecraft.core.util.helper.DyeColor;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
+
+public class ItemModelPaintbrush extends ItemModelStandard {
+    public static IconCoordinate emptyIcon = TextureRegistry.getTexture("minecraft:item/paintbrush");
+    public static IconCoordinate[] paintbrushIcons = new IconCoordinate[DyeColor.COLOR_AMOUNT];
+    static {
+        for (DyeColor c : DyeColor.itemOrderedColors()){
+            paintbrushIcons[c.itemMeta] = TextureRegistry.getTexture("minecraft:item/paintbrush_" + c.colorID);
+        }
+    }
+
+    public ItemModelPaintbrush(Item item, String namespace) {
+        super(item, namespace);
+    }
+
+    @Override
+    public @NotNull IconCoordinate getIcon(@Nullable Entity entity, ItemStack itemStack) {
+        final DyeColor color = ((ItemPaintBrush) itemStack.getItem()).getColor(itemStack);
+        if (color == null) {
+            return emptyIcon;
+        }
+        return paintbrushIcons[color.itemMeta];
+    }
+}
diff --git a/src/main/java/net/minecraft/client/render/item/model/QuiverItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelQuiver.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/item/model/QuiverItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelQuiver.java
index 6567638d5..fcc90a9e6 100644
--- a/src/main/java/net/minecraft/client/render/item/model/QuiverItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelQuiver.java
@@ -8,9 +8,9 @@ import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class QuiverItemModel extends StandardItemModel {
+public class ItemModelQuiver extends ItemModelStandard {
     protected IconCoordinate quiverFull = TextureRegistry.getTexture("minecraft:item/armor_quiver_empty");
-    public QuiverItemModel(Item item, String namespace) {
+    public ItemModelQuiver(Item item, String namespace) {
         super(item, namespace);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/item/model/StandardItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/item/model/StandardItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
index 699ee6cbc..2493fe0d4 100644
--- a/src/main/java/net/minecraft/client/render/item/model/StandardItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
@@ -38,7 +38,7 @@ import static org.lwjgl.opengl.GL11.glRotated;
 import static org.lwjgl.opengl.GL11.glScaled;
 import static org.lwjgl.opengl.GL11.glTranslated;
 
-public class StandardItemModel extends ItemModel{
+public class ItemModelStandard extends ItemModel{
     final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
     public static final IconCoordinate ITEM_TEXTURE_MISSING = TextureRegistry.getTexture("minecraft:item/texture_missing");
     public static final IconCoordinate ITEM_TEXTURE_UNASSIGNED = TextureRegistry.getTexture("minecraft:item/texture_unassigned");
@@ -49,7 +49,7 @@ public class StandardItemModel extends ItemModel{
     protected boolean pointInfrontOfPlayer = false;
     protected boolean itemfullBright = false;
 
-    public StandardItemModel(Item item, String namespace) {
+    public ItemModelStandard(Item item, String namespace) {
         super(item);
         if (namespace != null){
             icon = TextureRegistry.getTexture(namespace + ":item/" + item.getKey().substring("item.".length()).replace(".", "_"));
@@ -464,22 +464,22 @@ public class StandardItemModel extends ItemModel{
 
     }
 
-    public StandardItemModel setFull3D()
+    public ItemModelStandard setFull3D()
     {
         bFull3D = true;
         return this;
     }
-    public StandardItemModel setRotateWhenRendering()
+    public ItemModelStandard setRotateWhenRendering()
     {
         rotateWhenRendering = true;
         return this;
     }
-    public StandardItemModel setPointInfrontOfPlayer()
+    public ItemModelStandard setPointInfrontOfPlayer()
     {
         pointInfrontOfPlayer = true;
         return this;
     }
-    public StandardItemModel setFullBright()
+    public ItemModelStandard setFullBright()
     {
         itemfullBright = true;
         return this;
diff --git a/src/main/java/net/minecraft/client/render/model/Cube.java b/src/main/java/net/minecraft/client/render/model/Cube.java
index 1e80c0e0f..9de2dcf52 100644
--- a/src/main/java/net/minecraft/client/render/model/Cube.java
+++ b/src/main/java/net/minecraft/client/render/model/Cube.java
@@ -141,7 +141,7 @@ public class Cube
         if(mirror)
         {
             for (Polygon face : polygons) {
-                face.mirrorU();
+                face.mirror();
             }
         }
     }
diff --git a/src/main/java/net/minecraft/client/render/model/BaseModel.java b/src/main/java/net/minecraft/client/render/model/ModelBase.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/model/BaseModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelBase.java
index fa5a0c5a3..714fada2c 100644
--- a/src/main/java/net/minecraft/client/render/model/BaseModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelBase.java
@@ -2,10 +2,10 @@ package net.minecraft.client.render.model;
 
 import net.minecraft.core.entity.Mob;
 
-public abstract class BaseModel
+public abstract class ModelBase
 {
 
-    public BaseModel()
+    public ModelBase()
     {
         isRiding = false;
     }
diff --git a/src/main/java/net/minecraft/client/render/model/BipedModel.java b/src/main/java/net/minecraft/client/render/model/ModelBiped.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/model/BipedModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelBiped.java
index 959de6707..fc7abcc7e 100644
--- a/src/main/java/net/minecraft/client/render/model/BipedModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelBiped.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class BipedModel extends BaseModel
+public class ModelBiped extends ModelBase
 {
     public Cube head;
     public Cube hair;
@@ -23,17 +23,17 @@ public class BipedModel extends BaseModel
     public boolean sneaking;
 
 
-    public BipedModel()
+    public ModelBiped()
     {
         this(0.0F);
     }
 
-    public BipedModel(float expansion)
+    public ModelBiped(float expansion)
     {
         this(expansion, 0.0F);
     }
 
-    public BipedModel(float expansion, float yRotOffset)
+    public ModelBiped(float expansion, float yRotOffset)
     {
         holdingLeftHand = false;
         holdingRightHand = false;
diff --git a/src/main/java/net/minecraft/client/render/model/BoatModel.java b/src/main/java/net/minecraft/client/render/model/ModelBoat.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/model/BoatModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelBoat.java
index a2f287f7f..7c5fb9a3d 100644
--- a/src/main/java/net/minecraft/client/render/model/BoatModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelBoat.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer
+//            ModelBase, ModelRenderer
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class BoatModel extends BaseModel
+public class ModelBoat extends ModelBase
 {
     public Cube[] boatSides;
-    public BoatModel()
+    public ModelBoat()
     {
         boatSides = new Cube[5];
         boatSides[0] = new Cube(0, 8);
diff --git a/src/main/java/net/minecraft/client/render/model/CannonballModel.java b/src/main/java/net/minecraft/client/render/model/ModelCannonball.java
similarity index 83%
rename from src/main/java/net/minecraft/client/render/model/CannonballModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelCannonball.java
index 9e2da7dce..6defaba13 100644
--- a/src/main/java/net/minecraft/client/render/model/CannonballModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCannonball.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer
+//            ModelBase, ModelRenderer
 
-public class CannonballModel extends BaseModel
+public class ModelCannonball extends ModelBase
 {
 
-    public CannonballModel()
+    public ModelCannonball()
     {
         ball = new Cube(0, 0);
         ball.addBox(0F, 0F, 0F, 8, 8, 8);
diff --git a/src/main/java/net/minecraft/client/render/model/ChickenModel.java b/src/main/java/net/minecraft/client/render/model/ModelChicken.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/model/ChickenModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelChicken.java
index 58046c1b0..b1d9d2a0c 100644
--- a/src/main/java/net/minecraft/client/render/model/ChickenModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelChicken.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class ChickenModel extends BaseModel
+public class ModelChicken extends ModelBase
 {
     public Cube head;
     public Cube body;
@@ -18,7 +18,7 @@ public class ChickenModel extends BaseModel
     public Cube chin;
 
 
-    public ChickenModel()
+    public ModelChicken()
     {
         byte yOff = 16;
         head = new Cube(0, 0);
diff --git a/src/main/java/net/minecraft/client/render/model/CowModel.java b/src/main/java/net/minecraft/client/render/model/ModelCow.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/model/CowModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelCow.java
index c591dd67e..b78ed52c9 100644
--- a/src/main/java/net/minecraft/client/render/model/CowModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCow.java
@@ -2,18 +2,18 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            QuadrupedModel, ModelRenderer
+//            ModelQuadruped, ModelRenderer
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class CowModel extends QuadrupedModel
+public class ModelCow extends ModelQuadruped
 {
     Cube udders;
     Cube horn1;
     Cube horn2;
 
 
-    public CowModel()
+    public ModelCow()
     {
         super(12, 0.0F);
         head = new Cube(0, 0);
diff --git a/src/main/java/net/minecraft/client/render/model/CreeperModel.java b/src/main/java/net/minecraft/client/render/model/ModelCreeper.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/model/CreeperModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelCreeper.java
index de86dc9be..e86fefeb5 100644
--- a/src/main/java/net/minecraft/client/render/model/CreeperModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelCreeper.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class CreeperModel extends BaseModel
+public class ModelCreeper extends ModelBase
 {
     public Cube head;
     public Cube hair;
@@ -17,12 +17,12 @@ public class CreeperModel extends BaseModel
     public Cube leg4;
 
 
-    public CreeperModel()
+    public ModelCreeper()
     {
         this(0.0F);
     }
 
-    public CreeperModel(float expansion)
+    public ModelCreeper(float expansion)
     {
         int yOff = 4;
         head = new Cube(0, 0);
diff --git a/src/main/java/net/minecraft/client/render/model/FlagModel.java b/src/main/java/net/minecraft/client/render/model/ModelFlag.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/model/FlagModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelFlag.java
index 5660ec454..e27508e4b 100644
--- a/src/main/java/net/minecraft/client/render/model/FlagModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelFlag.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.model;
 
 import net.minecraft.client.render.Polygon;
 
-public class FlagModel {
+public class ModelFlag {
     public Cube flagPole;
     public Cube flagPoleShort;
     public Cube flag;
     public Cube flagOverlay;
     public Cube flagBase;
 
-    public FlagModel(boolean mirrored)
+    public ModelFlag(boolean mirrored)
     {
         flagPole = new Cube(0, 0, 64, 48);
         flagPole.addBox(-1F, -22F, -1F, 2, 33, 2, 0.0F);
diff --git a/src/main/java/net/minecraft/client/render/model/BaseFlagModel.java b/src/main/java/net/minecraft/client/render/model/ModelFlagBase.java
similarity index 81%
rename from src/main/java/net/minecraft/client/render/model/BaseFlagModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelFlagBase.java
index 61108cea2..7b5a5d2d4 100644
--- a/src/main/java/net/minecraft/client/render/model/BaseFlagModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelFlagBase.java
@@ -1,9 +1,9 @@
 package net.minecraft.client.render.model;
 
-public class BaseFlagModel {
+public class ModelFlagBase {
     public Cube flagBase;
 
-    public BaseFlagModel()
+    public ModelFlagBase()
     {
         flagBase = new Cube(0, 0);
         flagBase.addBox(-2F, 10F, -2F, 4, 2, 4, 0.0F);
diff --git a/src/main/java/net/minecraft/client/render/model/GhastModel.java b/src/main/java/net/minecraft/client/render/model/ModelGhast.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/model/GhastModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelGhast.java
index e133d69be..d71139133 100644
--- a/src/main/java/net/minecraft/client/render/model/GhastModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelGhast.java
@@ -5,15 +5,15 @@ import net.minecraft.core.util.helper.MathHelper;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
-public class GhastModel extends BaseModel
+public class ModelGhast extends ModelBase
 {
 
     Cube body;
     Cube[] tentacles;
 
-    public GhastModel()
+    public ModelGhast()
     {
         tentacles = new Cube[9];
         byte yOff = -16;
diff --git a/src/main/java/net/minecraft/client/render/model/MinecartModel.java b/src/main/java/net/minecraft/client/render/model/ModelMinecart.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/model/MinecartModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelMinecart.java
index f18602867..f02f6b282 100644
--- a/src/main/java/net/minecraft/client/render/model/MinecartModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelMinecart.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer
+//            ModelBase, ModelRenderer
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class MinecartModel extends BaseModel
+public class ModelMinecart extends ModelBase
 {
 
-    public MinecartModel()
+    public ModelMinecart()
     {
         sideModels = new Cube[7];
         sideModels[0] = new Cube(0, 10);
diff --git a/src/main/java/net/minecraft/client/render/model/PigModel.java b/src/main/java/net/minecraft/client/render/model/ModelPig.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/model/PigModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelPig.java
index c0098cf0a..d5017e0a7 100644
--- a/src/main/java/net/minecraft/client/render/model/PigModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelPig.java
@@ -2,17 +2,17 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            QuadrupedModel
+//            ModelQuadruped
 
-public class PigModel extends QuadrupedModel
+public class ModelPig extends ModelQuadruped
 {
 
-    public PigModel()
+    public ModelPig()
     {
         this(0.0F);
     }
 
-    public PigModel(float f)
+    public ModelPig(float f)
     {
         super(6, f);
         nose = new Cube(16, 16);
diff --git a/src/main/java/net/minecraft/client/render/model/PlayerModel.java b/src/main/java/net/minecraft/client/render/model/ModelPlayer.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/model/PlayerModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelPlayer.java
index 3cdb2183e..96d2c46a6 100644
--- a/src/main/java/net/minecraft/client/render/model/PlayerModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelPlayer.java
@@ -2,7 +2,7 @@ package net.minecraft.client.render.model;
 
 import org.lwjgl.opengl.GL11;
 
-public class PlayerModel extends BipedModel {
+public class ModelPlayer extends ModelBiped {
 
     public Cube bipedLeftArmOverlay;
     public Cube bipedRightArmOverlay;
@@ -10,11 +10,11 @@ public class PlayerModel extends BipedModel {
     public Cube bipedRightLegOverlay;
     public Cube bipedBodyOverlay;
 
-    public PlayerModel(float expansion){
+    public ModelPlayer(float expansion){
         this(expansion, 0.0F);
     }
 
-    public PlayerModel(float expansion, float yRotOffset){
+    public ModelPlayer(float expansion, float yRotOffset){
         holdingLeftHand = false;
         holdingRightHand = false;
         sneaking = false;
diff --git a/src/main/java/net/minecraft/client/render/model/PlayerSlimModel.java b/src/main/java/net/minecraft/client/render/model/ModelPlayerSlim.java
similarity index 85%
rename from src/main/java/net/minecraft/client/render/model/PlayerSlimModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelPlayerSlim.java
index 0e8645d01..12b34f5a5 100644
--- a/src/main/java/net/minecraft/client/render/model/PlayerSlimModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelPlayerSlim.java
@@ -1,12 +1,12 @@
 package net.minecraft.client.render.model;
 
-public class PlayerSlimModel extends PlayerModel {
+public class ModelPlayerSlim extends ModelPlayer {
 
-    public PlayerSlimModel(float f) {
+    public ModelPlayerSlim(float f) {
         this(f, 0f);
     }
 
-    public PlayerSlimModel(float expansion, float yRotOffset){
+    public ModelPlayerSlim(float expansion, float yRotOffset){
         super(expansion, yRotOffset);
         bipedLeftArmOverlay = new Cube(48, 48, 64, 64);
         bipedLeftArmOverlay.addBox(-1.0F, -2.0F, -2.0F, 3, 12, 4, expansion + 0.25F);
diff --git a/src/main/java/net/minecraft/client/render/model/QuadrupedModel.java b/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/model/QuadrupedModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
index d089d3f13..6e8bc6733 100644
--- a/src/main/java/net/minecraft/client/render/model/QuadrupedModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelQuadruped.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class QuadrupedModel extends BaseModel
+public class ModelQuadruped extends ModelBase
 {
 
-    public QuadrupedModel(int i, float f)
+    public ModelQuadruped(int i, float f)
     {
         head = new Cube(0, 0);
         head.addBox(-4F, -4F, -8F, 8, 8, 8, f);
diff --git a/src/main/java/net/minecraft/client/render/model/ScorpionModel.java b/src/main/java/net/minecraft/client/render/model/ModelScorpion.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/model/ScorpionModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelScorpion.java
index 285c2405d..c3c869bed 100644
--- a/src/main/java/net/minecraft/client/render/model/ScorpionModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelScorpion.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.model;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-public class ScorpionModel extends BaseModel
+public class ModelScorpion extends ModelBase
 {
     private final Cube body;
     private final Cube clawLeft;
@@ -19,7 +19,7 @@ public class ScorpionModel extends BaseModel
     private final Cube tail2;
 
 
-    public ScorpionModel()
+    public ModelScorpion()
     {
         body = new Cube(0, 0);
         body.addBox(-2.5F, -4.0F, -5.0F, 5, 3, 10);
